Name:          kdiff3
Version:       1.12.2
Release:       1mamba
Summary:       A graphical text difference analyzer for up to 3 input files
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://apps.kde.org/kdiff3/
Source:        https://download.kde.org/stable/kdiff3/kdiff3-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6PrintSupport
BuildRequires: libQt6Widgets
BuildRequires: libQt6Xml
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libicu-devel
BuildRequires: libkf6-kcolorscheme-devel
BuildRequires: libkf6-kcompletion-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kconfigwidgets-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-kcrash-devel
BuildRequires: libkf6-kguiaddons-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libkf6-kio-devel
BuildRequires: libkf6-kjobwidgets-devel
BuildRequires: libkf6-kservice-devel
BuildRequires: libkf6-kwidgetsaddons-devel
BuildRequires: libkf6-kxmlgui-devel
BuildRequires: libkf6-solid-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: desktop-file-utils

%description
KDiff3 is a program that:
* compares or merges two or three text input files or directories,
* shows the differences line by line and character by character (!),
* provides an automatic merge-facility and
* an integrated editor for comfortable solving of merge-conflicts,
* supports Unicode, UTF-8 and other codecs, autodetection via byte-order-mark "BOM"
* supports KIO on KDE (allows accessing ftp, sftp, fish, smb etc.),
* Printing of differences,
* Manual alignment of lines,
* Automatic merging of version control history ($Log$),
* and has an intuitive graphical user interface.
* Windows-Explorer integration Diff-Ext-for-KDiff3 - shell extension included in installer (originally by Sergey Zorin: see also Diff Ext)
* KDE-Konqueror service menu plugin
* Simplified integration with IBM-Rational-Clearcase for Windows (Details).
* Read what else is special in a short abstract (PDF).


%prep
%setup -q

%build
%cmake_kf6

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --all-name --with-html --with-man

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/kdiff3
%{_kf6_plugindir}/kfileitemaction/kdiff3fileitemaction.so
%{_datadir}/applications/org.kde.kdiff3.desktop
%{_datadir}/metainfo/org.kde.kdiff3.appdata.xml
%{_datadir}/icons/hicolor/*/apps/kdiff3.png
%{_datadir}/icons/hicolor/scalable/apps/kdiff3.svgz
%{_mandir}/man1/kdiff3.1*
%doc COPYING

%changelog
* Sun Mar 23 2025 Automatic Build System <autodist@openmamba.org> 1.12.2-1mamba
- automatic version update by autodist

* Tue Feb 18 2025 Automatic Build System <autodist@openmamba.org> 1.12.1-1mamba
- automatic version update by autodist

* Mon Dec 09 2024 Automatic Build System <autodist@openmamba.org> 1.12.0-1mamba
- automatic version update by autodist

* Thu Nov 07 2024 Automatic Build System <autodist@openmamba.org> 1.11.5-1mamba
- automatic version update by autodist

* Wed Sep 11 2024 Automatic Build System <autodist@openmamba.org> 1.11.4-1mamba
- automatic version update by autodist

* Sun Sep 08 2024 Automatic Build System <autodist@openmamba.org> 1.11.3-1mamba
- automatic version update by autodist

* Sat Jun 29 2024 Automatic Build System <autodist@openmamba.org> 1.11.2-1mamba
- automatic version update by autodist

* Tue May 21 2024 Automatic Build System <autodist@openmamba.org> 1.11.1-1mamba
- automatic version update by autodist

* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 1.11.0-1mamba
- automatic version update by autodist

* Mon Dec 11 2023 Automatic Build System <autodist@mambasoft.it> 1.10.7-1mamba
- automatic version update by autodist

* Sun Oct 01 2023 Automatic Build System <autodist@mambasoft.it> 1.10.6-1mamba
- automatic version update by autodist

* Sun Jul 09 2023 Automatic Build System <autodist@mambasoft.it> 1.10.5-1mamba
- automatic version update by autodist

* Fri May 19 2023 Automatic Build System <autodist@mambasoft.it> 1.10.4-1mamba
- automatic version update by autodist

* Wed May 17 2023 Automatic Build System <autodist@mambasoft.it> 1.10.3-1mamba
- automatic version update by autodist

* Thu May 04 2023 Automatic Build System <autodist@mambasoft.it> 1.10.2-1mamba
- automatic version update by autodist

* Fri Mar 31 2023 Automatic Build System <autodist@mambasoft.it> 1.10.1-1mamba
- automatic version update by autodist

* Wed Jan 25 2023 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Wed Sep 28 2022 Automatic Build System <autodist@mambasoft.it> 1.9.6-1mamba
- automatic version update by autodist

* Thu May 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.2-1mamba
- update to 1.9.2

* Tue May 04 2021 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic version update by autodist

* Thu Jan 21 2021 Automatic Build System <autodist@mambasoft.it> 1.8.5-1mamba
- automatic version update by autodist

* Thu Sep 03 2020 Automatic Build System <autodist@mambasoft.it> 1.8.4-1mamba
- automatic version update by autodist

* Thu Jun 25 2020 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic version update by autodist

* Sat Mar 28 2020 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Thu Aug 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-1mamba
- update to 1.8.1

* Sat Jul 05 2014 Automatic Build System <autodist@mambasoft.it> 0.9.98-1mamba
- automatic version update by autodist

* Wed Jan 02 2013 Automatic Build System <autodist@mambasoft.it> 0.9.97-1mamba
- automatic version update by autodist

* Sun Sep 11 2011 Automatic Build System <autodist@mambasoft.it> 0.9.96-1mamba
- automatic version update by autodist

* Fri Jan 22 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.9.95-1mamba
- package created by autospec
